<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>

		<section>
			<h2>HTML Entities</h2>
			<p><em> 
				Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code>. 
			</em></p>

			<table border="1" width="600">
				<thead>
					<tr>
						<!-- colspan attr defines the amount of cell will occupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td style="text-align: center;">&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td style="text-align: center;">&gt</td>
						<td>gt</td>
						<td>Greater than</td>				
					</tr>
					<tr>
						<td style="text-align: center;">&#8369</td>
						<td>8369</td>
						<td>Peso sign</td>
					</tr>
					<tr>
						<td style="text-align: center;">&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td style="text-align: center;">&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td style="text-align: center;">&apos;</td>
						<td>apos</td>
						<td>single quotation mark</td>
					</tr>
					<tr>
						<td style="text-align: center;">&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td style="text-align: center;">&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		

		<section>
			<h2>HTML Forms</h2>
			<p><em> Input elements to make up a form. </em></p>

			<form action="" method="">
				<label for="fullname">Full Name:</label>
				<input type="text" name="fullname" id="fullname" required autocomplete>

				<br>
				<label for="cellnumber">Cell Number:</label>
				<input type="text" name="cellnumber" id="cellnumber" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" />

				<br>
				<label for="birthday">Birthday</label>
				<input type="date" name="birthday" id="birthday" required>

				<br>
				<label for="age">Age:</label>
				<input type="Number" name="age" id="age">

				<br>
				<label for="gender">Gender:</label>
				<select name="gender" id="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="bi">Bi</option>
				</select>

				<br>
				<label for="notes">Notes:</label>

				<br>
				<textarea name="notes" id="notes" rows="5"></textarea>

				<br><br>
				<label for="new_user">New User:</label>
				<br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label>Yes</label>
				<input type="radio" name="new_user" id="user-type2" value="yes">
				<label for="user-type2">No</label>

				<br><br>
				<label>Role</label>
				<br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>
				<input type="checkbox" name="role1" id="role2" value="Student">
				<label for="role2">Student</label>
				<input type="checkbox" name="role3" id="role3" value="Manger">
				<label for="role3">Manager</label>


				<br><br>
				<button type="submit">Submit</button>				
				<button type="reset" value="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>